Last Comment Bug 713936 - Update mozilla-central + mozilla-aurora +mozilla-beta to NSS 3.13.2 final release (requires NSPR 4.9 final release)
: Update mozilla-central + mozilla-aurora +mozilla-beta to NSS 3.13.2 final rel...
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: Security: PSM (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: mozilla13
Assigned To: Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
:
Mentors:
: 728420 (view as bug list)
Depends on: 542832 713934 718554
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-28 13:26 PST by Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
Modified: 2012-02-22 11:47 PST (History)
14 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
unaffected
+
fixed
+
fixed


Attachments

Description Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2011-12-28 13:26:56 PST
+++ This bug was initially created as a clone of Bug #698552 +++

mozilla-central and mozilla-aurora hold a private patch to NSS that implements an API currently needed by Gecko's SSL implementation. We can never ship a version of Firefox that *requires* private patches to NSS like this because it will break Linux vendor releases that use system NSS.

See the blocking bugs to see the work that needs to be done
Comment 1 Kai Engert (:kaie) 2012-02-11 06:29:35 PST
We should get this done soon.

I tried to help by applying NSS patches in bug 542832.
Now waiting for Brian's feedback whether it looks good.
Comment 3 Landry Breuil (:gaston) 2012-02-14 09:49:29 PST
Fx 11.0b1 was released depending on an unreleased nss version. Where's the tracking bug for 3.13.2 final release ?
Comment 4 Kai Engert (:kaie) 2012-02-14 09:57:46 PST
(In reply to Marco Bonardo [:mak] from comment #2)
> 
> should this stay open?


Yes, because the landing was a release candidate (RC0), not a release.
However, we expect no other NSS changes.
If all went well with the landing of this NSS tag, I will create a final release (RTM) tag soon.

Unfortunately, I was informed about the necessity of a last minute change to NSPR.

mozilla is currently using NSPR 4.9 BETA.

Shipping mozilla releases with a NSPR or NSS beta releases is not allowed by policy.

I wasn't aware that changes of NSPR would be necessary. However, I was informed today there is. In bug 699567 people are working to agree on the final change.
Comment 5 Kai Engert (:kaie) 2012-02-14 09:58:18 PST
(In reply to Landry Breuil from comment #3)
> Where's the
> tracking bug for 3.13.2 final release ?

This bug
Comment 6 Kai Engert (:kaie) 2012-02-14 14:08:42 PST
I've pushed NSPR_4_9_BETA7 for final NSPR release testing.
https://hg.mozilla.org/integration/mozilla-inbound/rev/1a7ced340f9b

(Bug must be kept open until NSS_3_13_2 and NSPR_4_9_RTM have been created.)
Comment 7 Marco Bonardo [::mak] 2012-02-15 09:04:57 PST
https://hg.mozilla.org/mozilla-central/rev/1a7ced340f9b
Comment 8 Kai Engert (:kaie) 2012-02-15 14:26:55 PST
We have created the final release tags:

- NSPR_4_9_RTM

- NSS_3_13_2_RTM

Brian, could you please update all 3 mozilla branches to these new tags?

Note that mozilla-central already has functional equivalent code snapshots, the only difference are in comments, version numbers and one enum symbol got renamed.

Because of this, after landing into mozilla-central, you don't need to wait, it's fine to immediately land into mozilla-aurora and mozilla-beta.
Comment 9 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-02-15 14:45:53 PST
Yes, I will do the landings.

BTW, I guess the convention is for target milestone to stay at the version in which the code landed in mozilla-central; tracking-firefox11 and tracking-firefox12 flags (etc.) are used to track the backporting. (I agree it is confusing, but this is the process we are supposed to follow.)
Comment 10 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-02-16 20:19:05 PST
https://hg.mozilla.org/mozilla-central/rev/2271cb92cc05

This is the landing of NSS 3.13.2 RTM into mozilla-central.

https://tbpl.mozilla.org/?tree=Try&rev=0dc631bfbb1f
https://tbpl.mozilla.org/?tree=Try&rev=8fda9eccf18e

One of the above try runs is for mozilla-aurora and the other is for mozilla-beta. They include all of the PSM and NSS patches approved for beta-11 and aurora-12. Once they complete successfully, I will land all those patches on the branches.
Comment 12 Kai Engert (:kaie) 2012-02-17 14:51:54 PST
Brian, I see you just landed NSS 3.13.2, thanks for that.

However, you didn't land NSPR 4.9, see comment 8, this still needs to be done.

Would you be able to land that, too, or want me to help?
Comment 13 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-02-17 15:16:14 PST
I missed the deletion of one of the private patches in security/patches and I didn't realize this bug was the one tracking the NSPR 4.9 RTM landing until Kai told me so. Thus:

https://hg.mozilla.org/mozilla-central/rev/7c4329352fc7
https://hg.mozilla.org/mozilla-central/rev/2a87a57a90aa

https://hg.mozilla.org/releases/mozilla-aurora/rev/2c9869ab7175
https://hg.mozilla.org/releases/mozilla-aurora/rev/57a4882d9b78

https://hg.mozilla.org/releases/mozilla-beta/rev/7d331df463e2
https://hg.mozilla.org/releases/mozilla-beta/rev/57eb38613ff8
Comment 14 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-02-17 15:17:46 PST
*** Bug 728420 has been marked as a duplicate of this bug. ***
Comment 15 Kai Engert (:kaie) 2012-02-17 15:18:30 PST
Thank you Brian!

Note You need to log in before you can comment on or make changes to this bug.